From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/signon-oauth2/
Date: Fri, 4 Oct 2024 21:04:07 +0000 (UTC) [thread overview]
Message-ID: <1728075795.775272e4fc51b1488ef2a3d83af0271f4a531612.asturm@gentoo> (raw)
commit: 775272e4fc51b1488ef2a3d83af0271f4a531612
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 4 18:52:56 2024 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Oct 4 21:03:15 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=775272e4
net-libs/signon-oauth2: Drop IUSE qt5,qt6, fixing src_configure()
- in src_configure() it was either qt5 or qt6, no multibuild
- There are no Qt5-based revdeps
- Prepare for IUSE qt6 USEdep droppage in net-libs/signond
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
.../signon-oauth2-0.25_p20210102-r2.ebuild | 72 ++++++++++++++++++++++
1 file changed, 72 insertions(+)
diff --git a/net-libs/signon-oauth2/signon-oauth2-0.25_p20210102-r2.ebuild b/net-libs/signon-oauth2/signon-oauth2-0.25_p20210102-r2.ebuild
new file mode 100644
index 000000000000..1f6af000813d
--- /dev/null
+++ b/net-libs/signon-oauth2/signon-oauth2-0.25_p20210102-r2.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PN=signon-plugin-oauth2
+MY_PV=VERSION_${PV}
+MY_P=${MY_PN}-${MY_PV}
+inherit qmake-utils
+
+if [[ ${PV} = *9999* ]] ; then
+ EGIT_REPO_URI="https://gitlab.com/nicolasfella/${MY_PN}.git/"
+ EGIT_BRANCH="qt6"
+ inherit git-r3
+else
+ COMMIT=d759439066f0a34e5ad352ebab0b3bb2790d429e
+ if [[ -n ${COMMIT} ]] ; then
+ SRC_URI="https://gitlab.com/accounts-sso/${MY_PN}/-/archive/${COMMIT}/${MY_PN}-${COMMIT}.tar.bz2 -> ${P}.tar.bz2"
+ S="${WORKDIR}/${MY_PN}-${COMMIT}"
+ else
+ SRC_URI="https://gitlab.com/accounts-sso/${MY_PN}/-/archive/${MY_PV}/${MY_P}.tar.bz2 -> ${P}.tar.bz2"
+ S="${WORKDIR}/${MY_P}"
+ fi
+ KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+fi
+
+DESCRIPTION="OAuth2 plugin for Signon daemon"
+HOMEPAGE="https://gitlab.com/accounts-sso/signon-plugin-oauth2"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-qt/qtbase:6[network,ssl]
+ >=net-libs/signond-8.61-r100[qt6(+)]
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/0001-Port-QSignalSpys-to-PMF-syntax.patch
+ "${FILESDIR}"/0002-Port-to-new-connection-syntax.patch
+ "${FILESDIR}"/0003-Port-away-from-deprecated-error-signal.patch
+ "${FILESDIR}"/0004-Port-away-from-deprecated-qrand.patch
+ "${FILESDIR}"/0005-Fix-string-concatenation-in-Qt6.patch
+ "${FILESDIR}"/0006-Port-away-from-deprecated-QRegExp.patch
+ "${FILESDIR}"/0007-Build-with-C-17.patch
+ "${FILESDIR}"/0008-Use-correct-signon-in-example.patch
+ "${FILESDIR}"/0009-Port-away-from-deprecated-QString-SplitBehavior.patch
+ "${FILESDIR}"/0010-Port-away-from-deprecated-QList-toSet.patch
+ # downstream patches
+ "${FILESDIR}/${PN}-0.24-dont-install-tests.patch"
+ "${FILESDIR}/${PN}-0.25-pkgconfig-libdir.patch"
+ "${FILESDIR}/${PN}-0.25-drop-fno-rtti.patch"
+)
+
+src_prepare() {
+ default
+ sed -i "s|@LIBDIR@|$(get_libdir)|g" src/signon-oauth2plugin.pc || die
+}
+
+src_configure() {
+ local myqmakeargs=( LIBDIR=/usr/$(get_libdir) )
+ use test || myqmakeargs+=( CONFIG+=nomake_tests )
+
+ eqmake6 "${myqmakeargs[@]}"
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+}
next reply other threads:[~2024-10-04 21:04 UTC|newest]
Thread overview: 18+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-10-04 21:04 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-04 21:04 [gentoo-commits] repo/gentoo:master commit in: net-libs/signon-oauth2/ Andreas Sturmlechner
2024-06-28 12:59 Sam James
2024-06-28 0:59 Sam James
2024-06-28 0:16 Sam James
2024-01-12 14:19 Sam James
2020-12-16 19:52 Sam James
2020-12-16 19:51 Sam James
2020-12-13 21:45 Thomas Deutschmann
2020-10-08 23:11 Sam James
2020-10-06 4:26 Sam James
2019-10-24 18:50 Andreas Sturmlechner
2018-12-29 9:14 Mikle Kolyada
2018-12-22 22:25 Thomas Deutschmann
2017-09-06 21:00 Michał Górny
2016-08-18 13:09 Michael Palimaka
2016-07-06 14:12 Michael Palimaka
2015-08-27 12:10 Johannes Huber
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1728075795.775272e4fc51b1488ef2a3d83af0271f4a531612.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox